cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Great and all as it is to hear how we use Dropbox, we want to know how you use it! Day to day, big projects, sharing files with friends and family - we want to know about it.

Apps and Installations

Have a question about a Dropbox app or installation? Reach out to the Dropbox Community and get solutions, help, and advice from members.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

original dropbox install location doesn't exist anymore

original dropbox install location doesn't exist anymore

KelsNotChels
Explorer | Level 3

Hi DB community--

 

I am running dropbox for mac catalina on my trusty old 2012 MBP. 

 

It ran beautifully for years on my old user profile which was named with my firstlast name, but when my name changed, and I created a new user profile on my mac with my new name, I got caught in a loop because my new profile won't open. 

 

I logged into the old user, deleted every instance of dropbox I can find with a good app-uninstaller, and tried to reinstall from scratch on the new profile, but it still seems to know that it used to exist in another place. 

 

Here is the txt of the error report:

bn.BUILD_KEY: Dropbox
bn.VERSION: 120.4.4598
bn.constants.WINDOWS_SHELL_EXT_VERSION: 47
bn.is_frozen: True
machine_id: 5fba7662-b9ec-506b-8e9e-3cc286c397fc
pid: 2352
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='kelseytoney', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Kelsey Toney', pw_dir='/Users/kelseytoney', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='kelseytoney', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Kelsey Toney', pw_dir='/Users/kelseytoney', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=80
     parent mode=0o40755 uid=0 gid=80
HOME: '/Users/kelseytoney'
appdata: '/Users/kelseymacke/.dropbox/instance1'
         real_path='/Users/kelseymacke/.dropbox/instance1'
                mode=0o40700 uid=503 gid=20
         parent mode=0o40755 uid=503 gid=20
dropbox_path: '/Users/kelseytoney/Dropbox'
              real_path='/Users/kelseytoney/Dropbox'
                    mode=0o40755 uid=501 gid=20
              parent mode=0o40755 uid=501 gid=20
sys_executable: '/Users/kelseytoney/Desktop/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Users/kelseytoney/Desktop/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Users/kelseytoney/Desktop/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Users/kelseytoney/Desktop/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/vq/0pygl4tn27n3qpnmtgqwchtm0000gn/T'
         real_path='/private/var/folders/vq/0pygl4tn27n3qpnmtgqwchtm0000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/client/mapreduce.pyc", line 47, in __init__
  File "dropbox/client/mapreduce.pyc", line 72, in _get_user_key_with_retries
  File "dropbox/client/mapreduce.pyc", line 95, in get_user_key
  File "dropbox/client/mapreduce.pyc", line 171, in get_user_key
  File "dropbox/keystore/keystore_posix.pyc", line 180, in get_versioned_key
  File "dropbox/keystore/keystore_posix.pyc", line 134, in get_key
  File "dropbox/keystore/keystore_posix.pyc", line 89, in _load_dict
PermissionError: [Errno 13] Permission denied: '/Users/kelseymacke/.dropbox/instance1/hostkeys'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7712, in main_startup
  File "dropbox/client/main.pyc", line 2965, in initialize
  File "dropbox/client/main.pyc", line 2787, in create_keystore_and_unlink_cookie
  File "dropbox/client/main.pyc", line 2749, in create_keystore_and_unlink_cookie
  File "dropbox/client/configuration/local_configuration.pyc", line 249, in create_keystore
  File "dropbox/client/mapreduce.pyc", line 60, in __init__
  File "dropbox/client/mapreduce.pyc", line 92, in new_user_key
  File "dropbox/client/mapreduce.pyc", line 166, in new_user_key
  File "dropbox/keystore/keystore_posix.pyc", line 152, in store_versioned_key
  File "dropbox/keystore/keystore_posix.pyc", line 130, in store_key
  File "dropbox/keystore/keystore_posix.pyc", line 116, in _save_dict
PermissionError: [Errno 13] Permission denied: '/Users/kelseymacke/.dropbox/instance1/hostkeys.new'

 

1 Accepted Solution

Accepted Solutions

Re: original dropbox install location doesn't exist anymore

marian b.2
Helpful | Level 5

Thanks --- this has been solved on my own thread about this by doing an advanced reinstall:

https://help.dropbox.com/installs-integrations/desktop/advanced-reinstall

 

 

 

View solution in original post

5 Replies 5

Re: original dropbox install location doesn't exist anymore

Hannah
Dropboxer
Hey @KelsNotChels, welcome to our Community!

It seems like the Dropbox app is giving you a permissions error after changing the username on your computer.

Can I reach out to you via email, so we can look into this together?

Let me know!

Hannah
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, give it a Like below to let us know.
:arrows_counterclockwise: Need help with something else? Ask me a question!
:pushpin: Find Tips & Tricks Discover more ways to use Dropbox here!

Re: original dropbox install location doesn't exist anymore

KelsNotChels
Explorer | Level 3
Yes, please!

Re: original dropbox install location doesn't exist anymore

marian b.2
Helpful | Level 5

This seems very similar to my problem.

Re: original dropbox install location doesn't exist anymore

Hannah
Dropboxer

Absolutely @KelsNotChels, I just reached out to you, so make sure to check your email!

@marian b.2 , would you mind sending me a screenshot of the error log you see on the error message you're getting on your end?


Hannah
Community Moderator @ Dropbox
dropbox.com/support


Heart Did this post help you? If so, give it a Like below to let us know.
:arrows_counterclockwise: Need help with something else? Ask me a question!
:pushpin: Find Tips & Tricks Discover more ways to use Dropbox here!

Re: original dropbox install location doesn't exist anymore

marian b.2
Helpful | Level 5

Thanks --- this has been solved on my own thread about this by doing an advanced reinstall:

https://help.dropbox.com/installs-integrations/desktop/advanced-reinstall

 

 

 

Who's talking

Top contributors to this post

  • User avatar
    marian b.2 Helpful | Level 5
  • User avatar
    Hannah Dropboxer
  • User avatar
    KelsNotChels Explorer | Level 3
What do Dropbox user levels mean?
Need more support?